Subject: Re: bug#18931: 24.4; delete-frame suspends tty when running emacs on virtual terminal

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 May 2021 04:23:50 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> To make this occur:
>> 1) Run emacs -nw in a virtual terminal window and start server.
>> 2) Run emacsclient -nw in another virtual terminal.
>> 3) Run delete-frame on the client and observe the behavior in the
>> original emacs
>> terminal window.
>
> (This bug report unfortunately got no response at the time.)
>
> The term "virtual terminal" isn't anything I can recall having heard
> before.  What is that?

Oh, in a different window?  I've tried this recipe in Emacs 28, and I'm
unable to reproduce the problem -- the original Emacs frame isn't
affected by this, as far as I can see.  So I'm going to go ahead and
guess that this has been fixed in more recent Emacs versions.  If you're
still seeing this, please respond to the debbugs address and we'll
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no